diff --git a/.vscode/settings.json b/.vscode/settings.json deleted file mode 100644 index 6c447a2..0000000 --- a/.vscode/settings.json +++ /dev/null @@ -1,61 +0,0 @@ -{ - "cSpell.words": [ - "ALLMATCHSCAN", - "authenticode", - "behaviour", - "bofh", - "clamav", - "clamd", - "clamdscan", - "clamonacc", - "clamscan", - "Clamuko", - "clamupdate", - "concurrentdatabasereload", - "Dazuko", - "dbname", - "epel", - "excludepaths", - "fanotify", - "fdpass", - "filesize", - "freshclam", - "getsebool", - "INADDR", - "kubelet", - "libclamav", - "logclean", - "logfacility", - "logfile", - "logfilemaxsize", - "logfileunlock", - "logrotation", - "logsyslog", - "logtime", - "logverbose", - "multiscan", - "mypass", - "myproxy", - "myusername", - "NOFILE", - "normalisation", - "PCRE", - "pipefail", - "preludeanalyzername", - "preludeenable", - "recieve", - "RLIMIT", - "safebrowsing", - "setsebool", - "subsig", - "subsigs", - "tcpaddre", - "tcpaddress", - "tcpsocket", - "VIRUSEVENT", - "virusgroup", - "VIRUSNAME", - "XMLDOCS", - "xxxyyzzzz" - ] -} \ No newline at end of file diff --git a/Jenkinsfile b/Jenkinsfile deleted file mode 100644 index 3de3324..0000000 --- a/Jenkinsfile +++ /dev/null @@ -1,128 +0,0 @@ -pipeline { - agent { - label 'puppet' - } - - post { - always { - deleteDir() /* clean up our workspace */ - } - success { - updateGitlabCommitStatus state: 'success' - } - failure { - updateGitlabCommitStatus state: 'failed' - step([$class: 'Mailer', notifyEveryUnstableBuild: true, recipients: 'support@confdroid.com', sendToIndividuals: true]) - } - } - - options { - gitLabConnection('gitlab.confdroid.com') - } - - stages { - - stage('pull master') { - steps { - sshagent(['edd05eb6-26b5-4c7b-a5cc-ea2ab899f4fa']) { - sh ''' - git config user.name "Jenkins Server" - git config user.email jenkins@confdroid.com - # Ensure we're on the development branch (triggered by push) - git checkout development - # Create jenkins branch from development - git checkout -b jenkins-build-$BUILD_NUMBER - # Optionally merge master into jenkins to ensure compatibility - git merge origin/master --no-ff || { echo "Merge conflict detected"; exit 1; } - ''' - } - } - } - - stage('puppet parser') { - steps { - sh '''for file in $(find . -iname \'*.pp\'); do - /opt/puppetlabs/bin/puppet parser validate --color false --render-as s --modulepath=modules $file || exit 1; - done;''' - } - } - - stage('check templates') { - steps{ - sh '''for file in $(find . -iname \'*.erb\'); - do erb -P -x -T "-" $file | ruby -c || exit 1; - done;''' - } - } - - stage('puppet-lint') { - steps { - sh '''/usr/local/bin/puppet-lint . \\ - --no-variable_scope-check \\ - || { echo "Puppet lint failed"; exit 1; } - ''' - } - } - - stage('SonarScan') { - steps { - withCredentials([string(credentialsId: 'sonar-token', variable: 'SONAR_TOKEN')]) { - sh ''' - /opt/sonar-scanner/bin/sonar-scanner \ - -Dsonar.projectKey=confdroid_clamav \ - -Dsonar.sources=. \ - -Dsonar.host.url=https://sonarqube.confdroid.com \ - -Dsonar.token=$SONAR_TOKEN - ''' - } - } - } - - stage('create Puppet documentation') { - steps { - sh '/opt/puppetlabs/bin/puppet strings' - } - } - - stage('update repo') { - steps { - sshagent(['edd05eb6-26b5-4c7b-a5cc-ea2ab899f4fa']) { - sh ''' - git config user.name "Jenkins Server" - git config user.email jenkins@confdroid.com - git rm -r --cached .vscode || echo "No .vscode to remove from git" - git add -A && git commit -am "Recommit for updates in build $BUILD_NUMBER" || echo "No changes to commit" - git push origin HEAD:master - ''' - } - } - } - - stage('Mirror to Gitea') { - steps { - sshagent(['edd05eb6-26b5-4c7b-a5cc-ea2ab899f4fa']) { - withCredentials([usernamePassword( - credentialsId: 'Jenkins-gitea', - usernameVariable: 'GITEA_USER', - passwordVariable: 'GITEA_TOKEN')]) { - script { - // Checkout from GitLab (already done implicitly) - sh ''' - git checkout master - git pull origin master - git branch -D development - git branch -D jenkins-build-$BUILD_NUMBER - git rm -f Jenkinsfile - git rm -r --cached .vscode || echo "No .vscode to remove from git" - git commit --amend --no-edit --allow-empty - git remote add master https://sourcecode.confdroid.com/confdroid/confdroid_clamav.git - git -c credential.helper="!f() { echo username=${GITEA_USER}; echo password=${GITEA_TOKEN}; }; f" \ - push master --mirror - ''' - } - } - } - } - } - } -} \ No newline at end of file diff --git a/doc/_index.html b/doc/_index.html index be4356a..c845e3e 100644 --- a/doc/_index.html +++ b/doc/_index.html @@ -98,6 +98,11 @@ +
  • + confdroid_clamav::params + +
  • + diff --git a/doc/file.README.html b/doc/file.README.html index 4a3cfd7..532dad2 100644 --- a/doc/file.README.html +++ b/doc/file.README.html @@ -107,6 +107,8 @@
  • run cron job to scan the file system (by default starting at root, configurable) via clamdscan

  • +

    set ConcurrentDatabaseReload option yes/no to optimize RAM consumption

    +
  • manage services

  • diff --git a/doc/index.html b/doc/index.html index 444e7f3..414d029 100644 --- a/doc/index.html +++ b/doc/index.html @@ -107,6 +107,8 @@
  • run cron job to scan the file system (by default starting at root, configurable) via clamdscan

  • +

    set ConcurrentDatabaseReload option yes/no to optimize RAM consumption

    +
  • manage services

  • diff --git a/doc/puppet_class_list.html b/doc/puppet_class_list.html index e66e5ea..a44a0df 100644 --- a/doc/puppet_class_list.html +++ b/doc/puppet_class_list.html @@ -78,6 +78,13 @@ +
  • +
    + confdroid_clamav::params +
    +
  • + + diff --git a/doc/puppet_classes/confdroid_clamav_3A_3Amain_3A_3Aconfig.html b/doc/puppet_classes/confdroid_clamav_3A_3Amain_3A_3Aconfig.html index 01dfb83..111b681 100644 --- a/doc/puppet_classes/confdroid_clamav_3A_3Amain_3A_3Aconfig.html +++ b/doc/puppet_classes/confdroid_clamav_3A_3Amain_3A_3Aconfig.html @@ -64,7 +64,7 @@
    Inherits:
    -
    confdroid_clamav::params
    +
    confdroid_clamav::params
    diff --git a/doc/puppet_classes/confdroid_clamav_3A_3Amain_3A_3Adirs.html b/doc/puppet_classes/confdroid_clamav_3A_3Amain_3A_3Adirs.html index dddd296..e701f74 100644 --- a/doc/puppet_classes/confdroid_clamav_3A_3Amain_3A_3Adirs.html +++ b/doc/puppet_classes/confdroid_clamav_3A_3Amain_3A_3Adirs.html @@ -64,7 +64,7 @@
    Inherits:
    -
    confdroid_clamav::params
    +
    confdroid_clamav::params
    diff --git a/doc/puppet_classes/confdroid_clamav_3A_3Amain_3A_3Afiles.html b/doc/puppet_classes/confdroid_clamav_3A_3Amain_3A_3Afiles.html index c4946d2..33b9294 100644 --- a/doc/puppet_classes/confdroid_clamav_3A_3Amain_3A_3Afiles.html +++ b/doc/puppet_classes/confdroid_clamav_3A_3Amain_3A_3Afiles.html @@ -64,7 +64,7 @@
    Inherits:
    -
    confdroid_clamav::params
    +
    confdroid_clamav::params
    diff --git a/doc/puppet_classes/confdroid_clamav_3A_3Amain_3A_3Ainstall.html b/doc/puppet_classes/confdroid_clamav_3A_3Amain_3A_3Ainstall.html index eed7d18..3bae371 100644 --- a/doc/puppet_classes/confdroid_clamav_3A_3Amain_3A_3Ainstall.html +++ b/doc/puppet_classes/confdroid_clamav_3A_3Amain_3A_3Ainstall.html @@ -64,7 +64,7 @@
    Inherits:
    -
    confdroid_clamav::params
    +
    confdroid_clamav::params
    diff --git a/doc/puppet_classes/confdroid_clamav_3A_3Amain_3A_3Aservice.html b/doc/puppet_classes/confdroid_clamav_3A_3Amain_3A_3Aservice.html index cad784d..f61b19d 100644 --- a/doc/puppet_classes/confdroid_clamav_3A_3Amain_3A_3Aservice.html +++ b/doc/puppet_classes/confdroid_clamav_3A_3Amain_3A_3Aservice.html @@ -64,7 +64,7 @@
    Inherits:
    -
    confdroid_clamav::params
    +
    confdroid_clamav::params
    diff --git a/doc/puppet_classes/confdroid_clamav_3A_3Aparams.html b/doc/puppet_classes/confdroid_clamav_3A_3Aparams.html index a6f9a88..d06b5b8 100644 --- a/doc/puppet_classes/confdroid_clamav_3A_3Aparams.html +++ b/doc/puppet_classes/confdroid_clamav_3A_3Aparams.html @@ -539,6 +539,19 @@ inherited by all classes except defines. +
  • + + cv_concurrentdatabasereload + + + (String) + + + (defaults to: 'no') + + +
  • + @@ -601,7 +614,8 @@ inherited by all classes except defines. 88 89 90 -91 +91 +92
    # File 'manifests/params.pp', line 40
    @@ -609,32 +623,33 @@ inherited by all classes except defines.
     class confdroid_clamav::params (
     
     # installation
    -  Array $cv_reqpackages              = ['clamav','clamd','s-nail'],
    -  String $cv_pkg_ensure              = 'present',
    +  Array $cv_reqpackages               = ['clamav','clamd','s-nail'],
    +  String $cv_pkg_ensure               = 'present',
     
     # clamd
    -  String $cv_logfile              = '/var/log/clamd.scan',
    -  String $cv_logfileunlock        = 'no',
    -  String $cv_logfilemaxsize       = '2M',
    -  String $cv_logtime              = 'yes',
    -  String $cv_logclean             = 'no',
    -  String $cv_logsyslog            = 'yes',
    -  String $cv_logfacility          = 'LOG_MAIL',
    -  String $cv_logverbose           = 'no',
    -  String $cv_logrotate            = 'yes',
    -  String $cv_preludeenable        = 'no',
    -  String $cv_preludeanalyzername  = 'ClamAV',
    -  String $cv_tcpsocket            = '3310',
    -  String $cv_tcpaddress           = 'localhost',
    -  String $cv_alert_email          = 'you@example.com',
    -  String $cv_cron_hour            = '2',
    -  String $cv_cron_minute          = '0',
    -  String $cv_cron_user            = 'root',
    -  String $cv_scan_dir             = '/',
    -  String $cv_alert_file           = 'tmp/clamav-alert.txt',
    -  Boolean $cv_enable_freshclam    = true,
    -  Boolean $cv_enable_clamd        = true,
    -  Boolean $cv_use_excludepaths    = true
    +  String $cv_logfile                  = '/var/log/clamd.scan',
    +  String $cv_logfileunlock            = 'no',
    +  String $cv_logfilemaxsize           = '2M',
    +  String $cv_logtime                  = 'yes',
    +  String $cv_logclean                 = 'no',
    +  String $cv_logsyslog                = 'yes',
    +  String $cv_logfacility              = 'LOG_MAIL',
    +  String $cv_logverbose               = 'no',
    +  String $cv_logrotate                = 'yes',
    +  String $cv_preludeenable            = 'no',
    +  String $cv_preludeanalyzername      = 'ClamAV',
    +  String $cv_tcpsocket                = '3310',
    +  String $cv_tcpaddress               = 'localhost',
    +  String $cv_alert_email              = 'you@example.com',
    +  String $cv_cron_hour                = '2',
    +  String $cv_cron_minute              = '0',
    +  String $cv_cron_user                = 'root',
    +  String $cv_scan_dir                 = '/',
    +  String $cv_alert_file               = 'tmp/clamav-alert.txt',
    +  Boolean $cv_enable_freshclam        = true,
    +  Boolean $cv_enable_clamd            = true,
    +  Boolean $cv_use_excludepaths        = true,
    +  String $cv_concurrentdatabasereload = 'no',
     
     ) {
       # service